[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['a', 'c', 'uy', 'g', 'l', 'oi'];//Имена параметров
SystemParametrsValues = [5.9, 5.19, 9.11, 8.1, 3.33, 9.98];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A4', 'A2', 'A5'];//Имена выходных характеристик модели
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba5.zcos'));//Схема системы
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShema,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4..//Максимальный шаг интегрирования по времени
                        );

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы  

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);
                      
clear;
